using System;
using System.Text;
using System.IO;
using System.Net;
using System.Web;

namespace APIStore
{

    class HttpRequest
    {
        /*
         * HTTP的Post请求方式(推荐)
         * strUrl 请求地址
         * param 请求数据
         */
        public string requestPost(string strUrl, string param)
        {

            HttpWebRequest httpWebRequest = WebRequest.Create(strUrl) as HttpWebRequest;
            httpWebRequest.Method = "POST";      //指定允许数据发送的请求的一个协议方法
            httpWebRequest.ContentType = "application/x-www-form-urlencoded";       //设置 ContentType 属性设置为适当的值
            byte[] data = Encoding.UTF8.GetBytes(param);
            using (Stream stream = httpWebRequest.GetRequestStream())
            {
                stream.Write(data, 0, data.Length);     //写入数据
            }
            WebResponse webResponse = httpWebRequest.GetResponse() as HttpWebResponse;        //发起请求,得到返回对象
            Stream dataStream = webResponse.GetResponseStream();
            StreamReader reader = new StreamReader(dataStream, Encoding.UTF8);
            string returnStr = reader.ReadToEnd();
            // Clean up the streams and the response.
            reader.Close();
            webResponse.Close();
            return returnStr;

        }

        /*
         * HTTP的Get请求方式
         * strUrl 请求地址
         * param 请求数据
         */
        public string requestGet(string strUrl, string param)
        {

            HttpWebRequest httpWebRequest = WebRequest.Create(strUrl + "?" + param) as HttpWebRequest;
            httpWebRequest.Method = "GET";      //指定允许数据发送的请求的一个协议方法
            httpWebRequest.ContentType = "application/x-www-form-urlencoded";       //设置 ContentType 属性设置为适当的值
            WebResponse webResponse = httpWebRequest.GetResponse() as HttpWebResponse;        //发起请求,得到返回对象
            Stream dataStream = webResponse.GetResponseStream();
            StreamReader reader = new StreamReader(dataStream, Encoding.UTF8);
            string returnStr = reader.ReadToEnd();
            // Clean up the streams and the response.
            reader.Close();
            webResponse.Close();
            return returnStr;
        }

        /**
        * 获取内容
        * @param type 请求方式,POST,GET,推荐POST
        */
        public void getContent(string type)
        {
            string url="https://v.apistore.cn/api/bank/v4"
            string param="key=您申请的key&bankcard=银行卡卡号&cardNo=身份证号码&realNam
e=寻程&mobile=您的手机号码&information=1"
            string returnStr = null;
            if (type.Equals("GET"))
            {
                returnStr = "get result:" + this.requestGet(url, param);
            }
            else
            {
                returnStr = "post result:" + this.requestPost(url, param);
            }
            Console.WriteLine(returnStr);
        }


    }
}
